Bug 84651 - comms/java-commapi-freebsd lacks support for cuad* ports
Summary: comms/java-commapi-freebsd lacks support for cuad* ports
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Greg Lewis
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2005-08-07 19:20 UTC by Valentin A. Alekseev
Modified: 2005-10-13 06:05 UTC (History)
0 users

See Also:


Attachments
file.diff (550 bytes, patch)
2005-08-07 19:20 UTC, Valentin A. Alekseev
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Valentin A. Alekseev 2005-08-07 19:20:16 UTC
After the following commit: http://www.freebsd.org/cgi/getmsg.cgi?fetch=2081771+0+/usr/local/www/db/text/2004/cvs-all/20041017.cvs-all
FreeBSD provider for Java CommAPI is unable to find any cuad* ports.

Maintainer (ari.suutari<at>syncrontech.com) was notified 29 July 2005.

Fix: Apply the following patch agains FreebsdDriver.java
How-To-Repeat: Install comms/java-commapi-freebsd on a system after that commit and try
to start a BlackBox example provided:
% java -cp BlackBox.jar BlackBox
No serial ports found!
Comment 1 Greg Lewis freebsd_committer 2005-10-01 07:26:38 UTC
Responsible Changed
From-To: freebsd-ports-bugs->glewis

I'll take it.
Comment 2 ari.suutari 2005-10-12 07:44:01 UTC
I uploaded version 0.7 to syncrontech.org, which has this fixed.
A patch for comms/java-commapi-freebsd port follows.

    Ari S.


Index: Makefile
===================================================================
RCS file: /opt/freebsd-cvs/ports/comms/java-commapi-freebsd/Makefile,v
retrieving revision 1.7
diff -c -r1.7 Makefile
*** Makefile 3 Sep 2004 21:24:31 -0000 1.7
--- Makefile 12 Oct 2005 06:28:02 -0000
***************
*** 6,12 ****
#
PORTNAME= java-commapi-freebsd
! PORTVERSION= 0.6
CATEGORIES= comms java
MASTER_SITES= http://www.syncrontech.org/freebsd/
DISTNAME= freebsd-commapi-${PORTVERSION}
--- 6,12 ----
#
PORTNAME= java-commapi-freebsd
! PORTVERSION= 0.7
CATEGORIES= comms java
MASTER_SITES= http://www.syncrontech.org/freebsd/
DISTNAME= freebsd-commapi-${PORTVERSION}
Index: distinfo
===================================================================
RCS file: /opt/freebsd-cvs/ports/comms/java-commapi-freebsd/distinfo,v
retrieving revision 1.4
diff -c -r1.4 distinfo
*** distinfo 3 Sep 2004 21:24:31 -0000 1.4
--- distinfo 12 Oct 2005 06:29:30 -0000
***************
*** 1,2 ****
! MD5 (freebsd-commapi-0.6.tar.gz) = ef7a82ab23f76bfc4458f107309964e1
! SIZE (freebsd-commapi-0.6.tar.gz) = 15851
--- 1,2 ----
! MD5 (freebsd-commapi-0.7.tar.gz) = 8b8abbe2e595dbbecbb05c8ae32c1c0b
! SIZE (freebsd-commapi-0.7.tar.gz) = 15930
Comment 3 Greg Lewis freebsd_committer 2005-10-13 06:04:53 UTC
State Changed
From-To: open->closed

I've committed Ari's update (thanks Ari). 

Valentin, thank you for the bug report!